% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/f_04_fit_linERR.r
\name{f_fit_linERR}
\alias{f_fit_linERR}
\title{fit Excess Relative Risk Model (internal use)}
\usage{
f_fit_linERR(formula, data, rsets, n_lin_vars, n_loglin_vars, id_name,
  time_name)
}
\arguments{
\item{formula}{Surv(entry_time,exit_time,outcome)~loglin(loglin_var1,..,loglin_varn)+\cr
lin(lin_var1,..,lin_varm)+strata(strat_var1,...strat_varp)}

\item{data}{data set returned from f_to_model_data}

\item{rsets}{list of risksets, output of f_risksets}

\item{n_lin_vars}{number of linear variables (attribute of the to_model_data)}

\item{n_loglin_vars}{number of loglinear varaibles (attribute of the to_model_data)}

\item{id_name}{name of variable containing the names of subjects}

\item{time_name}{name of the time variable}
}
\value{
rERR object with the estimation
}
\description{
function that calls the optimization (mle from stats4 package, so use optim), and return a rERR object with the estimation and summary
}
\examples{
\donttest{f_fit_linERR(formula,data,rsets,n_lin_vars,n_loglin_vars,id_name,time_name)}
}
